Actions / Campaigns
Get campaign
Read onlyget_campaign
One campaign in full: settings, plan and posts.
Needs the read scope. Looks things up. Changes nothing.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
campaignId | integer | Yes |
REST
curl https://chirpy.me/api/v1/get_campaign \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"campaignId":123}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "get_campaign",
"arguments": {
"campaignId": 123
}
}
}MCP hints: readOnlyHint: true, destructiveHint: false, idempotentHint: true, openWorldHint: false.
